Sha256: e89580cb4b62d5687620eb3fcf881e85646c161efb1804a6ab9ff406acb10d67
Contents?: true
Size: 661 Bytes
Versions: 31
Compression:
Stored size: 661 Bytes
Contents
#!/bin/bash -e hst_proxy="${GATEWAY:=deploy}" # remote arguments git_url="$(git config --list | grep remote.origin.url | cut -d= -f2-)" git_ref=$(cat .git/HEAD) if echo "$git_ref" | egrep -q "^ref:"; then git_branch=$(echo "$git_ref" | awk '{print $2}' | cut -d/ -f3-) git_head=$(git show-ref --hash "$(echo "$git_ref" | awk '{print $2}')") else git_branch="" git_head=$git_ref fi if [[ -z $git_head ]]; then echo "ERROR: could not find the SHA for HEAD" 1>&2 exit 1 fi if ! ssh -q -t $hst_proxy alpha_omega_proxy_helper2 "$USER" "$git_url" "$git_branch:$git_head" "$@"; then echo "ERROR: could not proxy '$@' to $hst_proxy" 1>&2 exit 1 fi
Version data entries
31 entries across 31 versions & 1 rubygems